Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.sound.midi
Class InvalidMidiDataException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              javax.sound.midi.InvalidMidiDataException

All Implemented Interfaces:
  Serializable

    public class InvalidMidiDataException

extends Exception

An `InvalidMidiDataException` indicates that inappropriate MIDI data was encountered. This often means that the data is invalid in and of itself, from the perspective of the MIDI specification. An example would be an undefined status byte. However, the exception might simply mean that the data was invalid in the context it was used, or that the object to which the data was given was unable to parse or use it. For example, a file reader might not be able to parse a Type 2 MIDI file, even though that format is defined in the MIDI specification.

See Also:
  Serialized Form

Constructor Summary
`InvalidMidiDataException()` Constructs an `InvalidMidiDataException` with `null` for its error detail message.
`InvalidMidiDataException(String message)` Constructs an `InvalidMidiDataException` with the specified detail message.

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### InvalidMidiDataException

    public InvalidMidiDataException()

  Constructs an `InvalidMidiDataException` with `null` for its error detail message.

### InvalidMidiDataException

    public InvalidMidiDataException(String message)

  Constructs an `InvalidMidiDataException` with the specified detail message.

  Parameters:
    `message` - the string to display as an error detail message

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2004 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.